# Interface ReadableByteStreamController

interface ReadableByteStreamController {
byobRequest: undefined;
desiredSize: null | number;
close(): void;
enqueue(chunk): void;
error(error?): void;
}

- Defined in node_modules/@types/node/stream/web.d.ts:177
- Defined in node_modules/@types/node/stream/web.d.ts:184

#####
Index

### Properties

byobRequest
desiredSize

### Methods

close
enqueue
error

## Properties

### `Readonly` byobRequest

byobRequest: undefined

- Defined in node_modules/@types/node/stream/web.d.ts:178

### `Readonly` desiredSize

desiredSize: null | number

- Defined in node_modules/@types/node/stream/web.d.ts:179

## Methods

### close

- close(): void

- #### Returns void

  - Defined in node_modules/@types/node/stream/web.d.ts:180

### enqueue

- enqueue(chunk): void

- #### Parameters

  - chunk: ArrayBufferView

  #### Returns void

  - Defined in node_modules/@types/node/stream/web.d.ts:181

### error

- error(error?): void

- #### Parameters

  - `Optional` error: any

  #### Returns void

  - Defined in node_modules/@types/node/stream/web.d.ts:182